/*
 * TrkYSensCut.cpp
 *
 *  Created on: 09-apr-2010
 *      Author: S. Ricciarini
 */

/*! @file TrkYSensCut.cpp The TrkYSensCut class implementation file */

#include "TrkYSensCut.h"

int TrkYSensCut::Check(PamLevel2 *event) {

  TrkTrack *trkTrack = event->GetTrack(0)->GetTrkTrack();

  for (Int_t ip=0; ip<6; ip++) {

//  cout << "iplane " << ip << " sensorId " << trkTrack->GetSensor(ip) << endl;

    if ( ! (trkTrack->GetSensor(ip)==_sensorId) ) {
//      cout << "KO!!" << endl;
      return 0;
    }

//  cout << "OK" << endl;
  
  }

  return CUTOK;
}
